Subject: Re: bug#66152: 30.0.50; Missing indent rules in c-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 09:09:39 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 13 Jan 2024 23:33:05 -0600
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> Yuan Fu <[email-masked]> writes:
> 
> > the third patch is still in discussion. Augustin said he’ll
> > clean it up and extend it to apply to other modes if it’s desirable. I think
> > it’s good to have, we just need to make sure it doesn’t bring any
> > regression. Also I don’t know how widely used is this kind of comments and how
> > important it is.
> 
> I guess it's for indenting this kind of comment?
> 
>     /*---------.
>     | %param.  |
>     `---------*/
> 
> I have no idea either.  Are there any significant projects that use it?

IMO, it would be nice to be able to support box comments.  I've seen
it in the wild enough to know that some people prefer this style.